Subject: Re: bug#17945: 24.4.50; vc-git-annotate-command is too slow

From: William Xu <[email-masked]>
Date: Sat, 5 Jul 2014 23:16:24 +0800

Dmitry <[email-masked]>于2014年7月5日星期六写道：

> William Xu <[email-masked] <javascript:;>> writes:
>
> > C-x v g on a git file is very slow, compare this:
>
> What kind of repository are you doing this in?
>
> For me, it always works quite fast (usually <1 s)

As you can see, I ran it on the emacs git mirror(git://
git.savannah.org/emacs.git).  I can see this slowness on my several git
repos where there are many files.  I often fall back on running
shell-command with 'git blame'.

>
> It seems the -C -C options would slow down git hugely, making this
> > command almost useless.  Can we remove it from default option list?
>
> These options provide a feature, so we shouldn't simply remove them.

There are many features, the question is whether this is good for default
setup.

-William

-- 
-William